export declare class UploadFile {
  private uploadedFile;
  private uploadFileState;
  private isUploadError;
  private stateSubscription;
  private allowedMimetypes;
  componentWillLoad(): void;
  disconnectedCallback(): void;
  render(): Element;
  private renderUploadState;
  private renderEmptyOrErrorState;
  private renderUploadPending;
  private renderAttachedDocument;
  private onDocumentUpload;
  private isFileValid;
  private onClearDocument;
}
